Page MenuHomePhabricator

Enable pageviews scoring for completion suggester beta feature (and for later full release of feature) in prod
Closed, ResolvedPublic

Description

All the work to integrate pageviews in the completion suggester scores was done but I simply forgot to enable it.

Event Timeline

dcausse created this task.Feb 24 2016, 12:25 PM
Restricted Application added a project: Discovery. · View Herald TranscriptFeb 24 2016, 12:25 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

Change 272960 had a related patch set uploaded (by DCausse):
Allow to set the default scoring method to use when building the suggester index

https://gerrit.wikimedia.org/r/272960

Deskana triaged this task as Normal priority.Feb 24 2016, 7:02 PM

Change 272963 had a related patch set uploaded (by DCausse):
Enable 'popqual' (quality pageviews) scoring method for the completion suggester

https://gerrit.wikimedia.org/r/272963

Change 272960 merged by jenkins-bot:
Allow to set the default scoring method to use when building the suggester index

https://gerrit.wikimedia.org/r/272960

patches look good to go, the config change just needs to be swatted out.

Change 272963 merged by jenkins-bot:
Enable 'popqual' (quality pageviews) scoring method for the completion suggester

https://gerrit.wikimedia.org/r/272963

Mentioned in SAL [2016-03-03T16:06:24Z] <jzerebecki@tin> Synchronized wmf-config/CirrusSearch-production.php: CirrusSearch: Enable popqual (quality+pageviews) scoring method for the completion suggester T127943 (duration: 00m 37s)

Please make production and beta/deployment-prep alike, currently this is only enabled on prod.

Deskana renamed this task from Enable pageviews scoring for completion suggester in prod to Enable pageviews scoring for completion suggester beta feature in prod.Mar 5 2016, 1:35 AM
Deskana renamed this task from Enable pageviews scoring for completion suggester beta feature in prod to Enable pageviews scoring for completion suggester beta feature (and for later full release of feature) in prod.
Deskana closed this task as Resolved.
Deskana added a subscriber: Deskana.Mar 5 2016, 1:37 AM

I clarified the title a little; the completion suggester is still a beta feature at present.